package WEB-INF.classes.wenrgise.hrms.webtier.form;

import java.util.ArrayList;
import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import wenrgise.hrms.webtier.form.HrmBaseForm;

public class HrmAttEmpShiftForm extends HrmBaseForm {
  private String employeeNo;
  
  private String employeeName;
  
  private String startDate;
  
  private String endDate;
  
  private String disabemployeeNo;
  
  private String disabemployeeName;
  
  private String disabstartDate;
  
  private String disabendDate;
  
  private String[] shiftBeginDate;
  
  private String[] shiftEndDate;
  
  private String[] shiftCode;
  
  private String butshiftBeginDate;
  
  private String butshiftEndDate;
  
  private String butshiftCode;
  
  private String disabshiftBeginDate;
  
  private String disabshiftEndDate;
  
  private String disabshiftCode;
  
  private ArrayList arrHrmAttESD = new ArrayList();
  
  private String butemployeeNo;
  
  String empNoId;
  
  String[] shiftId;
  
  String disabbutemployeeNo;
  
  String disabbutstartDate;
  
  String butendDate;
  
  String disabbutendDate;
  
  String butstartDate;
  
  String disabbutshiftCode;
  
  String disabbutshiftBeginDate;
  
  String disabbutshiftEndDate;
  
  public void reset(ActionMapping mapping, HttpServletRequest request) {
    super.reset(mapping, request);
  }
  
  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    return super.validate(mapping, request);
  }
  
  public String getEmployeeNo() {
    return this.employeeNo;
  }
  
  public void setEmployeeNo(String newEmployeeNo) {
    this.employeeNo = newEmployeeNo;
  }
  
  public String getEmployeeName() {
    return this.employeeName;
  }
  
  public void setEmployeeName(String newEmployeeName) {
    this.employeeName = newEmployeeName;
  }
  
  public String getStartDate() {
    return this.startDate;
  }
  
  public void setStartDate(String newStartDate) {
    this.startDate = newStartDate;
  }
  
  public String getEndDate() {
    return this.endDate;
  }
  
  public void setEndDate(String newEndDate) {
    this.endDate = newEndDate;
  }
  
  public String getDisabemployeeNo() {
    return this.disabemployeeNo;
  }
  
  public void setDisabemployeeNo(String newDisabemployeeNo) {
    this.disabemployeeNo = newDisabemployeeNo;
  }
  
  public String getDisabemployeeName() {
    return this.disabemployeeName;
  }
  
  public void setDisabemployeeName(String newDisabemployeeName) {
    this.disabemployeeName = newDisabemployeeName;
  }
  
  public String getDisabstartDate() {
    return this.disabstartDate;
  }
  
  public void setDisabstartDate(String newDisabstartDate) {
    this.disabstartDate = newDisabstartDate;
  }
  
  public String getDisabendDate() {
    return this.disabendDate;
  }
  
  public void setDisabendDate(String newDisabendDate) {
    this.disabendDate = newDisabendDate;
  }
  
  public String[] getShiftBeginDate() {
    return this.shiftBeginDate;
  }
  
  public void setShiftBeginDate(String[] newShiftBeginDate) {
    this.shiftBeginDate = newShiftBeginDate;
  }
  
  public String[] getShiftEndDate() {
    return this.shiftEndDate;
  }
  
  public void setShiftEndDate(String[] newShiftEndDate) {
    this.shiftEndDate = newShiftEndDate;
  }
  
  public String[] getShiftCode() {
    return this.shiftCode;
  }
  
  public void setShiftCode(String[] newShiftCode) {
    this.shiftCode = newShiftCode;
  }
  
  public String getButshiftBeginDate() {
    return this.butshiftBeginDate;
  }
  
  public void setbutshiftBeginDate(String newbutshiftBeginDate) {
    this.butshiftBeginDate = newbutshiftBeginDate;
  }
  
  public String getbutshiftEndDate() {
    return this.butshiftEndDate;
  }
  
  public void setbutshiftEndDate(String newbutshiftEndDate) {
    this.butshiftEndDate = newbutshiftEndDate;
  }
  
  public String getButshiftCode() {
    return this.butshiftCode;
  }
  
  public void setButshiftCode(String newButshiftCode) {
    this.butshiftCode = newButshiftCode;
  }
  
  public String getDisabshiftBeginDate() {
    return this.disabshiftBeginDate;
  }
  
  public void setDisabshiftBeginDate(String newDisabshiftBeginDate) {
    this.disabshiftBeginDate = newDisabshiftBeginDate;
  }
  
  public String getDisabshiftEndDate() {
    return this.disabshiftEndDate;
  }
  
  public void setDisabshiftEndDate(String newDisabshiftEndDate) {
    this.disabshiftEndDate = newDisabshiftEndDate;
  }
  
  public String getDisabshiftCode() {
    return this.disabshiftCode;
  }
  
  public void setDisabshiftCode(String newDisabshiftCode) {
    this.disabshiftCode = newDisabshiftCode;
  }
  
  public ArrayList getArrHrmAttESD() {
    return this.arrHrmAttESD;
  }
  
  public void setArrHrmAttESD(ArrayList newArrHrmAttESD) {
    this.arrHrmAttESD = newArrHrmAttESD;
  }
  
  public String getButemployeeNo() {
    return this.butemployeeNo;
  }
  
  public void setButemployeeNo(String newButemployeeNo) {
    this.butemployeeNo = newButemployeeNo;
  }
  
  public String getEmpNoId() {
    return this.empNoId;
  }
  
  public void setEmpNoId(String newEmpNoId) {
    this.empNoId = newEmpNoId;
  }
  
  public String[] getShiftId() {
    return this.shiftId;
  }
  
  public void setShiftId(String[] newShiftId) {
    this.shiftId = newShiftId;
  }
  
  public String getDisabbutemployeeNo() {
    return this.disabbutemployeeNo;
  }
  
  public void setDisabbutemployeeNo(String newDisabbutemployeeNo) {
    this.disabbutemployeeNo = newDisabbutemployeeNo;
  }
  
  public String getDisabbutstartDate() {
    return this.disabbutstartDate;
  }
  
  public void setDisabbutstartDate(String newDisabbutstartDate) {
    this.disabbutstartDate = newDisabbutstartDate;
  }
  
  public String getButendDate() {
    return this.butendDate;
  }
  
  public void setButendDate(String newButendDate) {
    this.butendDate = newButendDate;
  }
  
  public String getDisabbutendDate() {
    return this.disabbutendDate;
  }
  
  public void setDisabbutendDate(String newDisabbutendDate) {
    this.disabbutendDate = newDisabbutendDate;
  }
  
  public String getButstartDate() {
    return this.butstartDate;
  }
  
  public void setButstartDate(String newButstartDate) {
    this.butstartDate = newButstartDate;
  }
  
  public String getDisabbutshiftCode() {
    return this.disabbutshiftCode;
  }
  
  public void setDisabbutshiftCode(String newDisabbutshiftCode) {
    this.disabbutshiftCode = newDisabbutshiftCode;
  }
  
  public String getDisabbutshiftBeginDate() {
    return this.disabbutshiftBeginDate;
  }
  
  public void setDisabbutshiftBeginDate(String newDisabbutshiftBeginDate) {
    this.disabbutshiftBeginDate = newDisabbutshiftBeginDate;
  }
  
  public String getDisabbutshiftEndDate() {
    return this.disabbutshiftEndDate;
  }
  
  public void setDisabbutshiftEndDate(String newDisabbutshiftEndDate) {
    this.disabbutshiftEndDate = newDisabbutshiftEndDate;
  }
}
